[
  {
    "function": "minecraft:set_components",
    "components": {
      "minecraft:lore": []
    },
    "conditions": []
  },
  {
    "function": "minecraft:enchant_randomly",
    "options": [
      "ws:speed",
      "ws:power",
      "ws:luck"
    ],
    "only_compatible": true,
    "conditions": []
  },
  {
    "function": "minecraft:enchant_randomly",
    "options": "ws:ignition",
    "only_compatible": true,
    "conditions": [
      {
        "condition": "minecraft:random_chance",
        "chance": 0.25
      }
    ]
  },
  {
    "function": "minecraft:set_custom_data",
    "tag": {
      "enchanted": true
    }
  }
]